[youtubei.js](../../../../README.md) / [JsHelpers](../README.md) / AstVisitFn

# Type Alias: AstVisitFn()

> **AstVisitFn** = (`node`, `parent`, `ancestors`) => [`AstVisitResult`](AstVisitResult.md)

Defined in: [src/utils/javascript/helpers.ts:26](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/javascript/helpers.ts#L26)

## Parameters

### node

`ESTree.Node`

### parent

`ESTree.Node` | `null`

### ancestors

`ESTree.Node`[]

## Returns

[`AstVisitResult`](AstVisitResult.md)
